Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.OperatingPackage
Class PrettyPrinter

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.OperatingPackage.PrettyPrinter

    public class PrettyPrinter

extends java.lang.Object

Author:
  Sylvia PrettyPrinter displays the program's output in a pretty way.

Constructor Summary
`PrettyPrinter()`

Method Summary
`static PrettyPrinter` | `getInstance()` Singleton
`java.lang.String` | `printAlign(java.util.Vector pcs, java.util.Vector alignment)` Pretty-prints an alignment
`java.lang.String` | `printConservation(java.util.Vector pcs, java.util.Vector alignment, java.util.Vector conservation)` Pretty-prints the conservation profile
`java.lang.String` | `printPrecursorContainer(PrecursorContainer pc)` Pretty-prints the content of a precursor container
`java.lang.String` | `printScores(java.util.Vector pcs, java.util.Vector scores)` Pretty-prints the scores of each Precursor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrettyPrinter

    public PrettyPrinter()

Method Detail

### getInstance

    public static PrettyPrinter getInstance()

  Singleton

  Returns:
    PrettyPrinter

### printPrecursorContainer

    public java.lang.String printPrecursorContainer(PrecursorContainer pc)

  Pretty-prints the content of a precursor container

  Parameters:
    `pc` -
  Returns:
    String of selcted precursors

### printAlign

    public java.lang.String printAlign(java.util.Vector pcs,
                                       java.util.Vector alignment)

  Pretty-prints an alignment

  Parameters:
    `pcs` -
    `alignment` -
  Returns:
    String of Alignment

### printConservation

    public java.lang.String printConservation(java.util.Vector pcs,
                                              java.util.Vector alignment,
                                              java.util.Vector conservation)

  Pretty-prints the conservation profile

  Parameters:
    `pcs` -
    `alignment` -
    `conservation` -
  Returns:
    String of Conservation profile

### printScores

    public java.lang.String printScores(java.util.Vector pcs,
                                        java.util.Vector scores)

  Pretty-prints the scores of each Precursor

  Parameters:
    `pcs` -
    `scores` -
  Returns:
    String of scoring

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD